{
    onImmunity(type, pokemon) {
        if (type === "hail")
            return false;
    },
    onModifyAccuracyPriority: 10,
    onModifyAccuracy(accuracy, target, source, move) {
        if (move.category === "Status" && typeof accuracy === "number" && this.field.isWeather(["hail", "snow"])) {
            this.debug("snowcloak's wonderskin fx - setting accuracy to 50");
            return 50;
        }
    },
    onDamage(damage, target, source, effect) {
        if (effect.effectType !== "Move" && this.field.isWeather(["hail", "snow"])) {
            if (effect.effectType === "Ability" && this.field.isWeather(["hail", "snow"]))
                this.add("-activate", source, "ability: " + effect.name);
            return false;
        }
    },
    flags: { breakable: 1 },
    name: "Snow Cloak",
    rating: 1.5,
    num: 81
}
